<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.easyproject.service.mapper.coze.CozeWorkspacesSetMapper">
    
    <resultMap type="CozeWorkspacesSet" id="CozeWorkspacesSetResult">
        <result property="id"    column="id"    />
        <result property="spacesId"    column="spaces_id"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectCozeWorkspacesSetVo">
        select id, spaces_id, status, create_by, create_time, update_by, update_time, remark from coze_workspaces_set
    </sql>
    
    <select id="selectCozeWorkspacesSetById" parameterType="Long" resultMap="CozeWorkspacesSetResult">
        <include refid="selectCozeWorkspacesSetVo"/>
        where id = #{id}
    </select>

    <delete id="deleteAll" parameterType="int">
        delete from coze_workspaces_set where  1 = #{type} and 1 = 1
    </delete>

</mapper>